# <img src="images/logo_maxkey.png?raw=true"  width="200px"   alt=""/>

<a href="README_en.md" target="_blank"><b>English</b></a>  |  <a href="README_zh.md" target="_blank"><b>中文</b></a>

# Overview

<b>Maxkey </b> Single Sign On system, which means the Maximum key, <b>Leading-Edge  Enterprise-Class open source IAM Identity and Access management product </b>, Support OAuth 2.0/OPENID CONNECT, SAML 2.0, JWT, CAS, SCIM and other standard protocols, and provide <b> Simple, Standard, Secure and Open </b> Identity management (IDM), Access management (AM), Single Sign On (SSO), RBAC permission management and Resource management.

Official Website <a href="https://www.maxkey.top" target="_blank"><b>Official</b></a> |  <a href="https://maxkeytop.gitee.io" target="_blank"><b>Line2</b></a>

QQ Community: <b> 434469201 </b> 

email: <b> maxkeysupport@163.com </b>

Code Hosting <a href="https://github.com/dromara/MaxKey" target="_blank"><b>GitHub</b></a> | <a href="https://gitee.com/dromara/MaxKey" target="_blank"><b>Gitee</b></a>

What is  <b> Single Sign On </b>, referred to as <b> SSO </b >.

Users only need to login to the authentication center once , access all the trusted application systems without logging in again.

Key Functions

1) All application systems share one Identity authentication system

2) All application systems can Identify and extract Ticket
 
 
# Features

1.  Standard Protocols

| No.     | Protocols   |  Support  |
| --------| :-----  	| :----:  	|
| 1.1     | OAuth 2.0/OpenID Connect   	| HIGH  |
| 1.2     | SAML 2.0   				 	| HIGH  |
| 1.3     | JWT  					    | HIGH  |
| 1.4     | CAS						 	| HIGH  |
| 1.5     | FormBased				    | MIDDLE|
| 1.6     | TokenBased(Post/Cookie)    	| MIDDLE|
| 1.7     | ExtendApi				    | LOW   |
| 1.8     | EXT						 	| LOW   |

2. Authentication

| No.     | SignIn Support  | Support   |
| --------| :-----  		| :----:  	|
| 2.1     | Captcha			| letter / number / arithmetic 	| 
| 2.2     | Two Factor Authentication  | SMS / TOPT/ Mail     |
| 2.3     | SMS				| Tencent SMS / Alibaba SMS / NetEaseYunXin 	|
| 2.4     | TOTP			| Denglu1/Google/Microsoft Authenticator/FreeOTP/Support TOTP or HOTP |
| 2.5     | Domain          | Kerberos/SPNEGO/AD domain|
| 2.6     | LDAP 			| OpenLDAP/ActiveDirectory/Standard LDAP Server |
| 2.7     | Social Account  | WeChat/QQ/ Weibo/Dingding/Google/Facebook/other  | 


3. Standard Authentication Protocols for applications to integrate sso, secure mobile access, secure API, third-party authentication and Internet authentication.

4. Identity Lifecycle management, support SCIM 2 , and realize Identity supply synchronization through connector based on Apache Kafka agent.

5. The platform independence and diversity of environment. It supports web, mobile phone, mobile devices, such as apple IOS, Android, etc., and covers the certification ability from B/S to mobile applications.

6. Variety of authentication mechanisms coexist, each application system can retain the original authentication mechanism, and integrate the authentication of the MaxKey; the application has a high degree of independence, does not rely on the MaxKey, and can use the authentication of the MaxKey to realize single sign on.

7. Based on Java platform, Adopts Spring, MySQL, Tomcat, Apache Kafka, Redis and other open source technologies, supports microservices, and has strong scalability.

8. Open Source, Secure,  Independent and Controllable , License Under Apache 2.0 License & <a href="https://maxkey.top/zh/about/licenses.html" target="_blank">MaxKey copyright</a> . 


# Interface

**MaxKey**

Login UI
<img src="images/maxkey_login.png?raw=true"/>

App List UI
<img src="images/maxkey_index.png?raw=true"/>

**MaxKey Management**

Report UI
<img src="images/maxkey_mgt_rpt.png?raw=true"/>

User Management UI
<img src="images/maxkey_mgt_users.png?raw=true"/>

App Management UI
<img src="images/maxkey_mgt_apps.png?raw=true"/>


# Download

Download the current version of Baidu Pan,<a href="https://maxkey.top/zh/about/download.html" target="_blank"> history version</a>

| Version    | ReleaseDate   |  Download URL  |  Code  |
| --------| :-----  | :----  | :----:  |
| v 2.7.0 GA | 2021/04/15   |  <a href="https://pan.baidu.com/s/1shP3ld63r39ugyZCG5f1lQ" target="_blank">Download</a>  |  **hf73**  |


# Roadmap

1. Zero trust scenario integration

2. Maxkey-Cloud (micro service version)-2021

# User Registration

<a href="https://github.com/dromara/MaxKey/issues/40" target="_blank"> Click to register </a> as MaxKey user and contribute to MaxKey!
